# Racc Grammar File Reference¶ ↑

## Global Structure¶ ↑

## Class Block and User Code Block¶ ↑

There's two block on toplevel. one is 'class' block, another is 'user code' block. 'user code' block MUST places after 'class' block.

## Comment¶ ↑

You can insert comment about all places. Two style comment can be used, Ruby style (#.….) and C style ( .….. ) .

## Class Block¶ ↑

The class block is formed like this: